classification
Title: _overlapped extension module of asyncio uses deprecated WSAStringToAddressA() function
Type: behavior Stage: resolved
Components: asyncio, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Segev Finer, berker.peksag, eryksun, gvanrossum, paul.moore, steve.dower, tim.golden, vstinner, yselivanov, zach.ware
Priority: normal Keywords:

Created on 2016-03-23 10:43 by vstinner, last changed 2017-10-28 00:09 by berker.peksag. This issue is now closed.

Messages (3)
msg262256 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-03-23 10:43
The code should be updated to use WSAStringToAddressW().

https://msdn.microsoft.com/en-us/library/windows/desktop/ms742214%28v=vs.85%29.aspx

Compilation warnings:

    20>..\Modules\overlapped.c(980): warning C4996: 'WSAStringToAddressA': Use WSAStringToAddressW() instead or define _WINSOCK_DEPRECATED_NO_WARNINGS to disable deprecated API warnings [D:\buildarea\3.x.bolen-windows8\build\PCbuild\_overlapped.vcxproj]
    20>..\Modules\overlapped.c(991): warning C4996: 'WSAStringToAddressA': Use WSAStringToAddressW() instead or define _WINSOCK_DEPRECATED_NO_WARNINGS to disable deprecated API warnings [D:\buildarea\3.x.bolen-windows8\build\PCbuild\_overlapped.vcxproj]
msg299751 - (view) Author: Segev Finer (Segev Finer) * Date: 2017-08-04 14:48
It was fixed here: https://github.com/python/cpython/commit/cc16be85c0b7119854c00fb5c666825deef641cf#diff-1308fc2ab05154373172f10e931c78f0L986. So it's fixed for 3.6 and 3.7, but not in 3.5.
msg305142 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-10-28 00:09
Unfortunately, Python 3.5 is now in security-fix-only mode. Closing this 'out of date'.
History
Date User Action Args
2017-10-28 00:09:49berker.peksagsetstatus: open -> closed

type: behavior
versions: - Python 3.6
nosy: + berker.peksag

messages: + msg305142
resolution: out of date
stage: resolved
2017-08-04 14:48:16Segev Finersetnosy: + Segev Finer
messages: + msg299751
2017-06-28 01:09:47vstinnersetnosy: + eryksun
2016-03-23 10:43:51vstinnercreate